Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.ALLOWED_ACTIVITY

    java.lang.Object
      java.lang.Enum<Conversation.ALLOWED_ACTIVITY>
          com.skype.api.Conversation.ALLOWED_ACTIVITY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Conversation.ALLOWED_ACTIVITY>

Enclosing class:
  Conversation

    public static enum Conversation.ALLOWED_ACTIVITY

extends java.lang.Enum<Conversation.ALLOWED_ACTIVITY>

values for opt_admin_only_activities property

Enum Constant Summary
`ADD_CONSUMERS` allowed to add participants to the conference
`SET_META` allowed to set the CONVERSATION_META properties
`SPEAK` allowed to speak, but not write
`SPEAK_AND_WRITE` allowed to speak and write

Method Summary
`static Conversation.ALLOWED_ACTIVITY` | `fromString(java.lang.String s)`
`static Conversation.ALLOWED_ACTIVITY` | `get(int code)`
`int` | `getId()`
`static Conversation.ALLOWED_ACTIVITY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.ALLOWED_ACTIVITY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SET_META

    public static final Conversation.ALLOWED_ACTIVITY SET_META

  allowed to set the CONVERSATION_META properties

### ADD_CONSUMERS

    public static final Conversation.ALLOWED_ACTIVITY ADD_CONSUMERS

  allowed to add participants to the conference

### SPEAK

    public static final Conversation.ALLOWED_ACTIVITY SPEAK

  allowed to speak, but not write

### SPEAK_AND_WRITE

    public static final Conversation.ALLOWED_ACTIVITY SPEAK_AND_WRITE

  allowed to speak and write

Method Detail

### values

    public static Conversation.ALLOWED_ACTIVITY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.ALLOWED_ACTIVITY c : Conversation.ALLOWED_ACTIVITY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.ALLOWED_ACTIVITY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Conversation.ALLOWED_ACTIVITY get(int code)

### fromString

    public static Conversation.ALLOWED_ACTIVITY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.